﻿<%@ Page Title="" Language="VB" MasterPageFile="~/admin/admin.master" AutoEventWireup="false" CodeFile="ManageRoles.aspx.vb"
    Inherits="admin_ManageRoles" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" Runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <div class="maintoolbar">
        <span class="menubarbutton">
            <asp:ImageButton ID="imbhome" runat="server" ImageAlign="absMiddle"
                ImageUrl="~/images/Home_16x.png" AlternateText="Navigate Home" CausesValidation="false"/>
            <asp:Label ID="lblHome" runat="server" Text="Home" AssociatedControlID="imbhome" CssClass="menutext"
                ToolTip="Navigate Home" />
        </span>
        <span class="menubarbutton">
            <asp:ImageButton ID="imbnewRole" runat="server"
                AlternateText="Create a Role" CausesValidation="false"
                ImageAlign="absMiddle" ImageUrl="~/images/Add_16x.png" />
            <asp:Label ID="lblnewRole" runat="server" Text="New Role" AssociatedControlID="imbnewRole" CssClass="menutext"
                ToolTip="Create a Role" />
        </span>
    </div>
    <div class="subTitle">Roles</div>
    <asp:UpdatePanel ID="upRoles" runat="server" UpdateMode="Conditional">
        <ContentTemplate>
            <asp:GridView ID="Roles_Grid" runat="server" CssClass="gridView" AutoGenerateColumns="False"
                DataSourceID="Roles_Data" EnableModelValidation="True" DataKeyNames="ID" AllowPaging="True"
                PageSize="20" PagerSettings-Mode="Numeric" EmptyDataText="There are no Roles defined." >
                <AlternatingRowStyle CssClass="gridView_text_alternate" />
                <HeaderStyle CssClass="gridView_header" />
                <RowStyle CssClass="gridView_text" />
                <Columns>
                    <asp:BoundField DataField="ID" HeaderText="ID" Visible="true" ReadOnly="true" ItemStyle-Width="30" >
                    <ItemStyle Width="30px" />
                    </asp:BoundField>
                    <asp:TemplateField HeaderText="Role">
                        <EditItemTemplate>
                            <asp:TextBox ID="txtRole" runat="server" Text='<%# Bind("Role")%>' MaxLength="64" CssClass="gridView_TextBox" />
                        </EditItemTemplate>
                        <ItemTemplate>
                            <asp:Label ID="lblRole" runat="server" Text='<%# Bind("Role")%>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:CommandField ShowDeleteButton="false" ShowEditButton="True" ButtonType="Image" ItemStyle-Width="60"
                        CancelImageUrl="~/images/Undo_grey_16x.png" EditImageUrl="~/images/Edit_grey_16x.png"
                        UpdateImageUrl="~/images/Save_16x.png" ItemStyle-HorizontalAlign="Center">
                    <ItemStyle HorizontalAlign="Center" Width="60px" />
                    </asp:CommandField>
                </Columns>
            </asp:GridView>
        </ContentTemplate>
    </asp:UpdatePanel>
    <div style="text-align:center; background-color: red; color: white; font-size: x-small; height: 20px; line-height: 20px;">
        <span style="font-weight: bold;">Warning: </span><span>Any change to roles must be coordinated with changes in the IIS admin console application settings or within the web.config file for this site!</span>
    </div>

    <asp:Panel id="pnlNewRole" runat="server" CssClass="modalpopup"
        Height="150px" Width="426px" style="display: none;" DefaultButton="btnSaveRole">
        <div id="newRoletitle" class="popuptitle">New Role</div>
        <table style="width: 100%; border-collapse: collapse; padding: 0px; margin: 0px;">
            <tr>
                <td colspan="5">&nbsp;</td>
            </tr>
            <tr>
                <td style="width:10px;"></td>
                <td style="width:175px;" class="popuplabel">
                    <asp:Label id="lblRole" runat="server" Text="Role" AssociatedControlID="txtRole" />
                </td>
                <td style="width:10px;"></td>
                <td style="width:215px;">
                    <asp:TextBox ID="txtRole" runat="server" Width="195" ValidationGroup="newRole" MaxLength="64" />
                </td>
                <td style="width:10px;"></td>
            </tr>
            <tr>
                <td></td>
                <td colspan="3">
                    <asp:RequiredFieldValidator ID="rfvRole" runat="server" ControlToValidate="txtRole"
                        ErrorMessage="Role" Display="None" ValidationGroup="newRole" />&nbsp;

                    <asp:CustomValidator ID="cvRole" runat="server"
						ControlToValidate="txtRole"
						OnServerValidate="RoleExistsCheck"
						Text="The specified role is already registered."
						ErrorMessage="The specified role is already registered."
						Display="None"
						ValidationGroup="newrole" />
                </td>
                <td></td>
            </tr>
            <tr>
                <td></td>
                <td colspan="3">&nbsp;</td>
                <td></td>
            </tr>
            <tr>
                <td></td>
                <td style="text-align:center" colspan="3">
                    <asp:Button ID="btnsaveRole" runat="server" Text="Save" CssClass="tradewebbutton" ValidationGroup="newRole" />
                    &nbsp;&nbsp;
                    <asp:button ID="btncancelRole" runat="server" Text="Cancel" CausesValidation="false" CssClass="tradewebbutton" />
                </td>
                <td></td>
            </tr>
        </table>
    </asp:Panel>

    <asp:SqlDataSource ID="Roles_Data" runat="server" ConnectionString="<%$ ConnectionStrings:ITDBConnectionString %>"
        SelectCommand="SELECT * FROM [Roles]"
        UpdateCommand="UPDATE [Roles] SET [Role] = @Role WHERE [ID] = @ID" >
        <DeleteParameters>
            <asp:Parameter Name="ID" Type="Int32" />
        </DeleteParameters>
        <UpdateParameters>
            <asp:Parameter Name="Role" Type="String" />
        </UpdateParameters>
    </asp:SqlDataSource>

    <cc1:ModalPopupExtender ID="mpeNewRole" runat="server"
        BackgroundCssClass="modalbackground"
        TargetControlID="imbnewRole"
        PopupControlID="pnlNewRole"
        CancelControlID="btncancelRole"
        DropShadow="true"
        PopupDragHandleControlID="newRoletitle" />

    <asp:ValidationSummary ID="vsRoles" runat="server"
		ShowMessageBox="true"
		ShowSummary="false"
		HeaderText="You must enter a value in the following fields:"
		EnableClientScript="true" ValidationGroup="newRole" />
</asp:Content>

